=== debian/changelog ===
purple-protocol-telegram (0.5-1) unstable; urgency=low

  * Initial Maemo release
  * Display incoming photos
  * Respect received user and chat property updates
  * Support changing own profile picture
  * Support adding new contacts
  * Display service messages
  * Works with libpurple proxy settings

 -- Pawel Dajczak <totalizator@gmail.com>  Wed, 17 Dec 2014 12:01:44 +0100
