=== debian/control ===
Source: purple-protocol-telegram
Section: user/network
Priority: optional
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev
Standards-Version: 3.7.2
Homepage: https://github.com/majn/telegram-purple

Package: purple-protocol-telegram
Architecture: any
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Installed-Size: 2444
Section: user/network
Priority: optional
Homepage: https://github.com/majn/telegram-purple
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telegram plugin for Pidgin
 Telegram-purple is a Libpurple plugin that adds support for the Telegram messenger. Its still in an early (pre-alpha) development stage, but already provides basic chat functionality and group chats.
 .
 The plugin is based on the library Libtgl, which was written by Vitaly Valtman mail@vysheng.ru and others, see (http://github.com/vysheng/tgl)
 .
 Homepage: https://github.com/majn/telegram-purple
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH3gQaEAE4A/vs
 awAACGlJREFUaN69mmtsHNUVx39nZnb93I0dxwk4dhwXl5amPNySQAhQUKna
 gEBKkZK2SVtBU6IAqgopLe0nPlZVAVXQAKpKRQmlRKFCTek3FMLDCQFCUvIg
 Dnk5QRDb8SP2vmfm9MO+ZvbltWPnSmv9vXtn7jn3/M+55557hRloy/51pkXU
 uVVEblBYAlwBNBZ0mwAOKxwQkV4jxY5dqzuGL3Rsme6DN/7nVHMyKWtEdR0i
 ywFjiq9wgV5V3ZI03Ff2reoavSgK9Lzc32YG3E0G3KfQKJJ/hRdPsU0Az7q2
 8/j7q7u+mBUFbvnbidqJevdRDOM3QG2hwDOkSExU/1B73v39m/d0xWdMgW9s
 /bQbjK2C9mQfSctYjGdImb2msLp31aJjF6xAz8tH70LkRRHCue4CUgrPrFXG
 VN21e+5e/HqlThUd75qX+36l8JqiYVVQVRSFLNYCTHW4yjZHxNh+3av9m6Zl
 gate+mSjiLE5PcO5qc7jCjSaYXqpqm7cc3fnc1UrcPWWI2tU+AeCMVWBZ4le
 Dqo/eO/uzm2TKrDkpYPXGGrsQqRWvN3KWeICBZ6CInHFuH7P99v3l1VgydaD
 QUnIByBXVhZ4Ejx79NpvDw4s/XDDtanSThznUVWuTDuqkvbRKrAWYEpjLYer
 d/qrzXnzHylpgctf2LfQwjqCSIPkp4FJ8UWnl467tnt5dsXOWcB0zd8pNJDR
 XD2z4MNagCe1kPpxzirVY/+HkGFZv/VZoPv5va2WETgF1EmenBThWfKH7jlB
 rr+kno8GYxwaSVZjragTDHR+eGfbkAVgGcZPVLVOABVA00OoR0vNyqZTwL6H
 /TgUNLitI8TKRY18eU4QgOUL6njgrc8RJG21jMBZX/DgejNl/xh40gJwXVkr
 aEZ4z+MiiJbGZB3MiwulFc0ok8Ym0DOvntsXh7j50gYCpj/SpJy801caRgTU
 dX4IPCndf9nfbhh6mkrUqQZXoFF7KMgdi0OsXBRibq1VNtBvOzbG5gMjVS+O
 jm0utEBvUc1zpohG5fAk9AqKcOOljdzRNYelC+qzS3p6J+Mqo5E44foaLDMf
 yT8ZSZCXJT+YqIdSHnqZAedbluIuTUenzE9SBa5Ar6ta6/leZ5jbOsI0BIpz
 xUg8xcBolJZwrU94gEPDCRQt60+FNMLRZZbAFarqUbqMwN55L3hTc9Dkzq4m
 bu8K0xmuKUmPlOMyOBIlkkjR1tJIQ23A9/towuGzSDIzSom/Aqp+rMhXLcd1
 LxMpVNXDEc//XstaIixf2MjKxU3c1BYiaJbOYxQYHY8zNBbDEKG9NUxd0PS9
 WgT6RhPptWKS6OUTAr3MAprynu+f8VI0WthQw6ruZlZ2NdFaF6iYQiZSNmdH
 osQSNpZp0NEaIhgoFl6AwyOxTIgsjl7FONdtrgXamGNDBaf92rw67v36Ala0
 hTANmSSBh5GJGENjcVSVYMCkfV4jAcssEjynwHA8PYmTCu8jVsjSNLHS851R
 z4tBaKmz+Ot3uzGr2IDEkjZnhyMkUg4AdUGTttYQlmHkBPYrIYjAwXPx8g5c
 fnFUQ1XHs7mLN7/JYlCGYkke2XmSN/rHiGYEK9pxuMrAaJTTZ8/nhG+oDdDe
 GvYJL4Ah2U96x/R5NMlw3J5O7jVuqeqoCHMnW/129o+x8/QYpghfaa7jpo4w
 3+lsomtOLeejCQZHYtium1OoqbGG+U0NGOKnS9ba3u8+HkxTLU3b9KA5olSm
 1IglSJ+qfqko7yh054wNHYVDw1EODUd5bv9Zvt0e4mfdTT5rNDXWsKC5oQTX
 pYj76fgf90WgKeRefYaq9nl2zyVpVIleb342TsTOz/ycUA2XNDd4aJKnS6Hw
 kvn+4LlojjredH6y1B5XjhqK9paK3tXm67br8vFwvoh2eug88ZRdMOtSwP2M
 QgiOKgcHo+X3H3h2fPh3f67oO0bQcHcULFuFNY3ibV5BXeiDoVg+fEaT9B79
 gsHxWM5J/bMuOSoZAkdH48QcxyOklsZagFGXhLvDOLZxxQDwfhXFmbKU2jcU
 xVHFddOKpmyHD44P8Mang9iqRVHH8DlwJE1Hzz65CJem1O6D65cMGxmf+Hv1
 BbNiGo2nbI6MJrDJ+8K+kQQPvX2Gtdv7OD2eLHLgrEIfD8VKC6yVKSWuvpjb
 Eyfs5FYgNtXipZdee4eiOQvsH0nyyskIrioHzkVY9dphXj8+XDD76Ri0fyDi
 sah6KhYVKRW1axLbcgp88YubBwV5Zro1cVXlvYEI47bLgdEk/zx5Hscz4ETS
 4eEdJ/j1zpPEHM0JP5F0+DSTA01KI5+F3Kf7fnTtkK8q4YjzBBCZrhJnYyke
 fPcMLxwbw3ZLR6xXjwyx5t+fcGIsHbXeOpNRtOxsl/SHcUsCT5aszHU+s3uT
 Kn9kBpuvopDZZ9aYBj3zGzlwLkok5eS+z/Uqh9Pgl0fX9/ypZGWusSX0lMD/
 ZlKBUtErbrvs/vw8E0m75OLoo5SPXu5HYcfZXLG42/X0u52OYX4ItDBLrapK
 nMcqGTykrn7z+IZr+ysecJx4cMUpVO8B7NlSoJrFMe8PoKituD8tFL7sCU3/
 A8u3o3o/s9yqzL0UdMPxny/975TPyBZt3r0OeB4IcJFaAaWSqtx7auOyl6Z9
 yNexedddgrwIhLmITUTGUNaeuv+61y/4mLX9z73dhphbQXsujvTsVcNZfXrD
 igs/Zs21x9RY1LpnHaJPzGKEOofKw/2Dy7bwmLizctWg46l32gwzsEnR+0pc
 6Jj2VQOFZ001Hj/5wLLZuWpQ7OBvNyvBNYKuA6Z92QORLUY8+MrJh3ouzmWP
 Um3h0++1mKK3iqE3qEr2uk0TEMp0GQdGgcOCHEC01wm4O86sv+GCr9v8H4Mu
 adeSkb/rAAAAAElFTkSuQmCC
