## purple-protocol-telegram 0.6-1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 srcdir=.
 
 CFLAGS=-Wall -g -O2 -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wextra -Wno-unused-parameter -I${srcdir} -I. -fno-strict-aliasing -fPIC
-LDFLAGS= -L/usr/lib -L/usr/lib   -lpurple -lglib-2.0   -lz -lm  -lcrypto -rdynamic -ggdb
+LDFLAGS= -L/usr/lib -L/usr/lib   -lpurple -lglib-2.0   -lz -lrt -lm  -lcrypto -rdynamic -ggdb
 CPPFLAGS= -I/usr/include -I/usr/include -DFLAGS
 COMPILE_FLAGS=${CFLAGS} ${CPPFLAGS}
 LINK_FLAGS=${LDFLAGS}
@@ -13,10 +13,9 @@
 EXE=bin
 OBJ=objs
 LIB=libs
-DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto
+DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto ${DEP}/lodepng ${OBJ}/lodepng
 
-
-PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o
+PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/lodepng/lodepng.o
 ALL_OBJS=${PLUGIN_OBJECTS}
 
 .SUFFIXES:
@@ -45,7 +44,7 @@
 
 
 ${PLUGIN_OBJECTS}: ${OBJ}/%.o: ${srcdir}/%.c | create_dirs_and_headers
-	echo $@ && ${CC} ${CFLAGS} ${CPPFLAGS} -I ${srcdir}/tgl -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<
+	echo $@ && ${CC} ${CFLAGS} ${CPPFLAGS} -I ${srcdir}/tgl -I ${srcdir}/lodepng -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<
 
 ${PRPL_LIBNAME}: ${PLUGIN_OBJECTS} ${LIB}/libtgl.a | create_dirs
 	${CC} -shared -o $@ $^ ${LDFLAGS}
@@ -64,7 +63,6 @@
 # TODO: Find a better place for server.pub
 install: $(PRPL_LIBNAME)
 	install -D $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
-#	install -D tg-server.pub /etc/telegram-purple/server.pub
 	install -D tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
 	install -D imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
 	install -D imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
@@ -77,7 +75,6 @@
 .PHONY: uninstall
 uninstall:
 	rm -f $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
-#	rm -f /etc/telegram-purple/server.pub
 	rm -f $(DESTDIR)/etc/telegram-purple/server.pub
 	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
 	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
