=== debian/changelog ===
purple-protocol-telegram (0.6-1) unstable; urgency=low

  * [Maemo] Replaced GLib >= 2.28 only functions calls
  * Support for secret chats
  * Receiving geo messages

 -- Pawel Dajczak <totalizator@gmail.com>  Sun, 11 Jan 2015 18:16:07 +0100
