## purple-protocol-telegram 0.6.1-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 srcdir=.
 
-CFLAGS=-Wall -g -O2 -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wextra -Wno-unused-parameter -I${srcdir} -I. -fno-strict-aliasing -fPIC
+CFLAGS=-Wall -g -O2 -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DHAVE_CONFIG_H -Wall -Wextra -Wno-deprecated-declarations -Wno-unused-parameter -I${srcdir} -I. -fno-strict-aliasing -fPIC
 LDFLAGS= -L/usr/lib -L/usr/lib   -lpurple -lglib-2.0   -lz -lrt -lm  -lcrypto -rdynamic -ggdb
 CPPFLAGS= -I/usr/include -I/usr/include -DFLAGS
 COMPILE_FLAGS=${CFLAGS} ${CPPFLAGS}
@@ -15,7 +15,7 @@
 LIB=libs
 DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto ${DEP}/lodepng ${OBJ}/lodepng
 
-PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/lodepng/lodepng.o
+PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/tgp-utils.o ${OBJ}/tgp-chat.o ${OBJ}/lodepng/lodepng.o
 ALL_OBJS=${PLUGIN_OBJECTS}
 
 .SUFFIXES:
@@ -60,17 +60,17 @@
 	$(STRIP) --strip-unneeded $(PRPL_LIBNAME)
 
 .PHONY: install
-# TODO: Find a better place for server.pub
 install: $(PRPL_LIBNAME)
-	install -D $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
-	install -D tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
-	install -D imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
-	install -D imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
-	install -D imgs/telegram48.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
+	mkdir -p $(DESTDIR)/etc/telegram-purple
+	install -Dm 0755 $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
+	install -Dm 0644 tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
+	install -Dm 0644 imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
+	install -Dm 0644 imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
+	install -Dm 0644 imgs/telegram48.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
 
 .PHONY: local_install
 local_install:
-	install -D $(PRPL_LIBNAME) ${HOME}/.purple/plugins/$(PRPL_NAME)
+	install $(PRPL_LIBNAME) ${HOME}/.purple/plugins/$(PRPL_NAME)
 
 .PHONY: uninstall
 uninstall:
@@ -82,7 +82,7 @@
 	rm -f ${HOME}/.purple/plugins/$(PRPL_NAME)
 
 .PHONY: run
-run: install
+run:
 	pidgin -d | grep 'telegram\|plugin\|proxy'
 
 .PHONY: purge
