=== debian/changelog ===
purple-protocol-telegram (0.6.1-1) unstable; urgency=low

  * Fix many stability issues
  * Do not readd left chats on login

 -- Pawel Dajczak <totalizator@gmail.com>  Tue, 10 Feb 2015 14:47:03 +0100

purple-protocol-telegram (0.6-2) unstable; urgency=low

  * Latest version from Git

 -- Pawel Dajczak <totalizator@gmail.com>  Sun, 25 Jan 2015 23:13:06 +0100
