## purple-protocol-telegram 0.7-1

=== debian/changelog ===
purple-protocol-telegram (0.7-1) unstable; urgency=low

  * Fix HTML escaping issues
  * Support uploads and downloads (with some caveats though):
  * Uploads wont contain the current file name but a generic one
  * Every file is uploaded as a document or picture, so unfortunately no embedded videos and audio (right now)
  * Group chats only support picture uploads since nothing else is supported by the UI

 -- Pawel Dajczak <totalizator@gmail.com>  Thu,  5 Mar 2015 19:56:36 +0100
