=== debian/changelog ===
purple-protocol-telegram (0.7-2) unstable; urgency=low

  * Fixed registration of new numbers due to data center IP change

 -- Pawel Dajczak <totalizator@gmail.com>  Thu, 16 Apr 2015 20:59:07 +0200
