=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: purple-protocol-telegram
 Architecture: any
 Maintainer: Pawel Dajczak <totalizator@gmail.com>
-Installed-Size: 2512
+Installed-Size: 2692
 Section: user/network
 Priority: optional
 Homepage: https://github.com/majn/telegram-purple
