=== debian/changelog ===
purple-protocol-telegram (1.2.6-1) unstable; urgency=low

  * Updated to latest master. Fix crash

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Thu, 3 May 2016 2:20:07 +0200
