=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,17 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
-
+export DH_OPTIONS
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+BUILDROOT := $(CURDIR)/debian/build
+PATCHDIR := $(CURDIR)/debian/patches
+LIBS := $(BUILDROOT)
 
 CFLAGS = -Wall -g
 
@@ -24,10 +27,17 @@
 	CFLAGS += -O2
 endif
 
+#override_dh_shlibdeps:
+#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+	
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	patch -p1 <$(PATCHDIR)/mtproto-utils.diff
+	patch -p1 <$(PATCHDIR)/portable_endian.diff
+	patch -p1 <$(PATCHDIR)/tgl_makefile.diff
+	patch -p1 <$(PATCHDIR)/tgp-chat.diff
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --disable-gcrypt
 
 
 build: build-stamp
@@ -67,7 +77,7 @@
 	# Add here commands to install the package into debian/telegram-purple.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
-	dh_install --sourcedir=debian/tmp --fail-missing
+	#dh_install --sourcedir=debian/tmp --fail-missing
 
 
 # Build architecture-independent files here.
