## purple-protocol-telegram 1.3.1-3

=== debian/changelog ===
purple-protocol-telegram (1.3.1-3) unstable; urgency=low

  * optify for maemo

 -- Christian Weniger <less_to_space@web.de>  Tue, 27 Feb 2018 16:00:04 +0200

purple-protocol-telegram (1.3.1-2) unstable; urgency=low

  * fixed glib error

 -- Christian Weniger <less_to_space@web.de>  Tue, 27 Feb 2018 10:05:44 +0200

purple-protocol-telegram (1.3.1-1) unstable; urgency=low

  * Updated to latest master

 -- Christian Weniger <less_to_space@web.de>  Mon, 26 Feb 2018 18:00:04 +0200
