## purple-protocol-telegram 1.3.1-5

=== debian/changelog ===
purple-protocol-telegram (1.3.1-5) unstable; urgency=low

  * fixed plugin path

 -- Christian Weniger <less_to_space@web.de>  Thu, 8 Mar 2018 17:40:15 +0200

purple-protocol-telegram (1.3.1-4) unstable; urgency=low

  * full optified for maemo (auto)
  * cleaned debian folder

 -- Christian Weniger <less_to_space@web.de>  Wed, 28 Feb 2018 10:36:05 +0200
