=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: purple-protocol-telegram
 Section: user/network
 Priority: optional
-Maintainer: Pawel Dajczak <totalizator@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev
+Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev, libwebp-dev
 Standards-Version: 3.7.2
-Homepage: https://github.com/majn/telegram-purple
 
 Package: purple-protocol-telegram
-Architecture: any
-Maintainer: Pawel Dajczak <totalizator@gmail.com>
-Installed-Size: 2692
+Architecture: armel
+Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
 Section: user/network
 Priority: optional
-Homepage: https://github.com/majn/telegram-purple
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Telegram plugin for Pidgin
  Telegram-purple is a Libpurple plugin that adds support for the Telegram messenger. Its still in an early (pre-alpha) development stage, but already provides basic chat functionality and group chats.
