=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,8 @@
 	# Add here commands to configure the package.
 	patch -p1 <$(PATCHDIR)/mtproto-utils.diff
 	patch -p1 <$(PATCHDIR)/portable_endian.diff
-	patch -p1 <$(PATCHDIR)/tgl_makefile.diff
-	patch -p1 <$(PATCHDIR)/tgp-chat.diff
+	patch -p1 <$(PATCHDIR)/tgp-msg.diff
+	patch -p1 <$(PATCHDIR)/makefile.diff
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --disable-gcrypt
