=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: optional
 Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
-Build-Depends: debhelper (>= 4.0.0), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev, libwebp-dev
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev, libwebp-dev, libpng12-dev
 Standards-Version: 3.7.2
 
 Package: purple-protocol-telegram
